'use strict';

const load = name => {
  const mod = require(name);
  return mod.default || mod;
};

module.exports = {
  presets: [
    load('babel-preset-es2015-node4'),
    load('babel-preset-stage-1'),
  ],
  plugins: [
    load('babel-plugin-syntax-flow'),
    load('babel-plugin-typecheck'),
    load('babel-plugin-transform-flow-strip-types'),
    load('babel-plugin-transform-runtime'),
  ]
}
